# Author: Yves MAINGOY
# License: CC-BY

How to use it:

Copy BottinToSQLite.py in the same repository as the file "Le bottin des jeux Linux.tc"
Launch : 
$ chmod +x BottinToSQLite.py
$ ./BottinToSQLite.py
You get the file : bottin.db

-------------------------------------------------------------------------------------------

Some examples of use:
sqlite3 bottin.db

--- How many entries?
sqlite> select count(*) from entry;
5003

--- List of genres used:
sqlite> select distinct genre from entry;
Strategy
Puzzle
Arcade
Demoscene
Adventure & Action
Simulation
Emulation
Development
Sport
Tool
Management
Documentation & Link
Music

--- List of first 10 'Strategy' entries:
sqlite> select id, title from entry where genre = 'Strategy' limit 10;
6858|0 A.D.
6862|20 000 Light Years Into Space
6872|8Kingdoms
6886|Adrian
6888|Advanced Strategic Command
6900|Aleph One - [mod 1-Marathon]
6901|Aleph One - [mod 2-Durandal]
6902|Aleph One - [mod 3a-Infinity]
6903|Aleph One - [mod Eternal]
6904|Aleph One - [mod 4-Evil]


--- To view records that contain a particular tag:
sqlite> select id, nom, tags from vEntry where tags like "%paintball%" and tags like "%alien%";
15405|The Adventures of Square|FPS;Shooter;Action;Paintball;Aliens;Doom;Sci-fi;Funny;Humorous;Family Friendly;Fast-Paced;id Tech 1 engine;Cartoon;Colorful;Retro;Voice-Acting;Controller 


--- A simple query using some isolated fields (with the specific function 'vEntry') in the database:
sqlite> .mod line
sqlite> select * from vEntry where id=6858;
       id = 6858
      Nom = 0 A.D.
    Genre = Strategy
 Category = Strategy ➤ Top-Down Fight of Units ➤ Age of Empires
     Tags = Wargame;Historical;Warfare;Realistic;Conquest;Military;Strategy;Tactical;Diplomacy;4X;Simulation;Naval battles;Action;Base-Building;Economy;Mining;Farming;Resource Management;Perma Death;Class-Based;Research;Tech tree;Open World;Hand-Drawn;Fog of War;Weather;Realistic Wildlife;Atmospheric;Difficult;Replay Value;Level Editor;Moddable;Local Multi;Online Multi;Co-op;PvP 
Mechanics = Real Time
   Played = Single & Multi
       Fr = L'un des fleurons du libre. C'est un jeu multi-plateforme de stratégie guerrière et économique temps réel de type 4X, en solo (IA) et multi, axé sur une simulation historique réaliste : le joueur construit son camp, développe son économie, recherche des technologies, entraîne son armée, et défend son territoire ou part faire la guerre. 12 civilisations (de -500 ans à +500 ans après J.C.), chacune avec ses spécificités et constructions évoluent dans un environnement fidèle (la faune et la flore sont adaptés au contexte géopolitique) sur une bande son utilisant des instruments d'époque.
       En = One of the jewels of the free/libre. Its a cross-platform, SP (IA) / MP, 4X RTS game of ancient warfare, focusing on a realistic historical simulation: the player builds his camp, develops his economy, research technologies, train his army, and defends his territory or goes to war. 12 civilizations (from -500 to +500 years after J.C.), each with its specificities and constructions evolve in a faithful environment (fauna and flora are adapted to the geopolitical context) on a soundtrack using era instruments.

--- Quit: .quit or Ctrl D

